﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

public partial class RadXmlHttpPanelDemo : System.Web.UI.Page
{
	protected void Page_Load(object sender, EventArgs e)
	{
		DataView myDV = default(DataView);
		myDV = CreateDataSource();

		myRepeaterUL.DataSource = myDV;
		myRepeaterUL.DataBind();
	}

	public DataView CreateDataSource()
	{
		DataTable myDataTable = new DataTable();
		DataRow myDataRow = default(DataRow);
		DataView myDataView = default(DataView);

		myDataTable.Columns.Add(new DataColumn("Id", System.Type.GetType("System.Int16")));
		myDataTable.Columns.Add(new DataColumn("Name", System.Type.GetType("System.String")));


		myDataRow = myDataTable.NewRow();
		myDataRow[0] = 1;
		myDataRow[1] = "Record 1";

		myDataTable.Rows.Add(myDataRow);

		myDataRow = myDataTable.NewRow();
		myDataRow[0] = 2;
		myDataRow[1] = "Record 2";

		myDataTable.Rows.Add(myDataRow);

		myDataRow = myDataTable.NewRow();
		myDataRow[0] = 3;
		myDataRow[1] = "Record 3";

		myDataTable.Rows.Add(myDataRow);

		myDataView = new DataView(myDataTable);

		return myDataView;
	}

	protected void RadXmlHttpPanel1_ServiceRequest(object sender, Telerik.Web.UI.RadXmlHttpPanelEventArgs e)
	{
		Label1.Text = "Label updated by XmlHttpPanel callback at: " + DateTime.Now.ToString();
		Label1.Text += "<br/> The clicked button is : <strong>Button " + e.Value + "</strong>";
	}
}